FullWrtParserInternal::DocZoneStruct Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
FullWrtParserInternal::DocZoneStruct Struct Reference

Internal and low level: a structure used to define the list of zone in Zone 0 data of a FullWrite file. More...

## Public Member Functions
| DocZoneStruct ()
| constructor More...

## Public Attributes
long | m_pos
| the file position More...
int | m_structType
| the struct type More...
int | m_type
| the type More...
int | m_nextId
| the next id More...
int | m_fatherId
| the father id More...
std::vector< int > | m_childList
| the list of child id More...

## Friends
std::ostream & | operator<< (std::ostream &o, DocZoneStruct const &dt)
| the operator<< More...

## Detailed Description

Internal and low level: a structure used to define the list of zone in Zone 0 data of a FullWrite file.

## Constructor & Destructor Documentation

## § DocZoneStruct()

FullWrtParserInternal::DocZoneStruct::DocZoneStruct | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

## § operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | DocZoneStruct const & | dt
| ) |  |
| friend

the operator<<

## Member Data Documentation

## § m_childList

std::vector<int> FullWrtParserInternal::DocZoneStruct::m_childList

the list of child id

Referenced by FullWrtParser::readDocZoneStruct().

## § m_fatherId

int FullWrtParserInternal::DocZoneStruct::m_fatherId

the father id

Referenced by FullWrtParser::readDocZoneStruct().

## § m_nextId

int FullWrtParserInternal::DocZoneStruct::m_nextId

the next id

Referenced by FullWrtParser::readDocZoneStruct().

## § m_pos

long FullWrtParserInternal::DocZoneStruct::m_pos

the file position

Referenced by FullWrtParser::readDocZoneStruct().

## § m_structType

int FullWrtParserInternal::DocZoneStruct::m_structType

the struct type

Referenced by FullWrtParser::readDocZoneData(), and FullWrtParser::readDocZoneStruct().

## § m_type

int FullWrtParserInternal::DocZoneStruct::m_type

the type

Referenced by FullWrtParser::readDocZoneData(), FullWrtParser::readDocZoneStruct(), FullWrtParser::sendGraphic(), FullWrtParser::sendText(), and FullWrtParser::sendVariable().

The documentation for this struct was generated from the following file:

- FullWrtParser.cxx